org.apache.commons.release.plugin.velocity

## Class ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder

- java.lang.Object
- - org.apache.commons.release.plugin.velocity.ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder

- Enclosing class:
    ReadmeHtmlVelocityDelegate

      public static class ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder
      extends Object

  A builder class for instantiation of the `ReadmeHtmlVelocityDelegate`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private String` | `artifactId` The maven artifactId to use in the `README.vm` template.
    `private String` | `siteUrl` The site url to use in the `README.vm` template.
    `private String` | `version` The maven version to use in the `README.vm` template.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `ReadmeHtmlVelocityDelegateBuilder()` Private constructor for using the builder through the `ReadmeHtmlVelocityDelegate.builder()` method.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadmeHtmlVelocityDelegate` | `build()` Builds up the `ReadmeHtmlVelocityDelegate` from the previously set parameters.
    `ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder` | `withArtifactId(String artifactId)` Adds the artifactId to the `ReadmeHtmlVelocityDelegate`.
    `ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder` | `withSiteUrl(String siteUrl)` Adds the siteUrl to the `ReadmeHtmlVelocityDelegate`.
    `ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder` | `withVersion(String version)` Adds the version to the `ReadmeHtmlVelocityDelegate`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### artifactId

          private String artifactId

      The maven artifactId to use in the `README.vm` template.

    - #### version

          private String version

      The maven version to use in the `README.vm` template.

    - #### siteUrl

          private String siteUrl

      The site url to use in the `README.vm` template.

  - ### Constructor Detail

    - #### ReadmeHtmlVelocityDelegateBuilder

          private ReadmeHtmlVelocityDelegateBuilder()

      Private constructor for using the builder through the `ReadmeHtmlVelocityDelegate.builder()` method.

  - ### Method Detail

    - #### withArtifactId

          public ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder withArtifactId(String artifactId)

      Adds the artifactId to the `ReadmeHtmlVelocityDelegate`.
      Parameters:
        `artifactId` - the `String` representing the maven artifactId.
      Returns:
        the builder to continue building.

    - #### withVersion

          public ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder withVersion(String version)

      Adds the version to the `ReadmeHtmlVelocityDelegate`.
      Parameters:
        `version` - the maven version.
      Returns:
        the builder to continue building.

    - #### withSiteUrl

          public ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder withSiteUrl(String siteUrl)

      Adds the siteUrl to the `ReadmeHtmlVelocityDelegate`.
      Parameters:
        `siteUrl` - the site url to be used in the `README.html`
      Returns:
        the builder to continue building.

    - #### build

          public ReadmeHtmlVelocityDelegate build()

      Builds up the `ReadmeHtmlVelocityDelegate` from the previously set parameters.
      Returns:
        a new `ReadmeHtmlVelocityDelegate`.

Copyright © 2018–2022 The Apache Software Foundation. All rights reserved.